SCRIPT(1)

NAME
script - make typescript of terminal session

SYNOPSIS
script [-a] [file]

DESCRIPTION
Script makes a typescript of everything printed on your terminal. It is useful for students who need a hardcopy record of an interactive session as proof of an assignment, as the typescript file can be printed out later with lpr(1).

If the argument file is given, script saves all dialogue in file. If no file name is given, the typescript is saved in the file typescript.

Option:

-a  Append the output to file or typescript, retaining the prior contents.

The script ends when the forked shell exits (a control-D to exit the Bourne shell (sh(1)), and exit, logout or control-d (if ignoreeof is not set) for the C-shell, csh(1)).

Certain interactive commands, such as vi(1), create garbage in the typescript file. Script works best with commands that do not manipulate the screen, the results are meant to emulate a hardcopy terminal.

ENVIRONMENT
The following environment variable is utilized by script:

SHELL
    If the variable SHELL exists, the shell forked by script will be that shell. If SHELL is not set, the Bourne shell is assumed. (Most shells set this variable automatically).

SEE ALSO
csh(1) (for the history mechanism).

HISTORY
The script command appeared in 3.0BSD.

BUGS
Script has a security bug, which may result in the script session being insecure. See /usr/doc/bsdutils/README.script for more details.

Script places everything in the log file, including linefeeds and backspaces. This is not what the naive user expects. The col(1) command can be used to strip out backspaces if invoked with the -b option.